summaryrefslogtreecommitdiffstats
path: root/system/inotify-info
diff options
context:
space:
mode:
author xaizek2023-04-15 13:30:35 +0200
committer Willy Sudiarto Raharjo2023-04-22 06:38:27 +0200
commit14c64d65b4cab12550627d43cc2cfac712afb4e4 (patch)
treea1d6823d413bf28f72f5fed81e34675c6595d060 /system/inotify-info
parent82cea2d439fd717c993f21e93b4cc8f4673df193 (diff)
downloadslackbuilds-14c64d65b4cab12550627d43cc2cfac712afb4e4.tar.gz
system/inotify-info: Added (Linux inotify info reporting app)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/inotify-info')
-rw-r--r--system/inotify-info/README9
-rw-r--r--system/inotify-info/inotify-info.SlackBuild100
-rw-r--r--system/inotify-info/inotify-info.info10
-rw-r--r--system/inotify-info/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/system/inotify-info/README b/system/inotify-info/README
new file mode 100644
index 0000000000..8bdd102903
--- /dev/null
+++ b/system/inotify-info/README
@@ -0,0 +1,9 @@
+inotify-info - Linux inotify info reporting app
+
+Easily track down the number of inotify watches, instances, and which
+files are being watched.
+
+The Linux inotify system has a few issues and it can be difficult to
+debug when you for instance run out of watches. Using this app should
+hopefully aid you in tracking down how many inotify watches, instances,
+and what files are being watched.
diff --git a/system/inotify-info/inotify-info.SlackBuild b/system/inotify-info/inotify-info.SlackBuild
new file mode 100644
index 0000000000..35417bf478
--- /dev/null
+++ b/system/inotify-info/inotify-info.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for inotify-info
+
+# Copyright 2023 xaizek <xaizek@posteo.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=inotify-info
+VERSION=${VERSION:-20230226_8add69e}
+COMMIT=${COMMIT:-8add69efcfc702322819321387bae9043d7d4b59}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$COMMIT
+tar xvf $CWD/$PRGNAM-$COMMIT.tar.gz
+cd $PRGNAM-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# redefining unimportant flags to not patch Makefile
+make WARNINGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+install -D -t $PKG/usr/bin _release/inotify-info
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/inotify-info/inotify-info.info b/system/inotify-info/inotify-info.info
new file mode 100644
index 0000000000..4f5ac61bf0
--- /dev/null
+++ b/system/inotify-info/inotify-info.info
@@ -0,0 +1,10 @@
+PRGNAM="inotify-info"
+VERSION="20230226_8add69e"
+HOMEPAGE="https://github.com/mikesart/inotify-info"
+DOWNLOAD="https://github.com/mikesart/inotify-info/archive/8add69e/inotify-info-8add69efcfc702322819321387bae9043d7d4b59.tar.gz"
+MD5SUM="a800f3eaaec2ef5812a3c20ccee3244c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="xaizek"
+EMAIL="xaizek@posteo.net"
diff --git a/system/inotify-info/slack-desc b/system/inotify-info/slack-desc
new file mode 100644
index 0000000000..d4a5d83cae
--- /dev/null
+++ b/system/inotify-info/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+inotify-info: inotify-info (Linux inotify info reporting app)
+inotify-info:
+inotify-info: Easily track down the number of inotify watches, instances, and which
+inotify-info: files are being watched.
+inotify-info:
+inotify-info: The Linux inotify system has a few issues and it can be difficult to
+inotify-info: debug when you for instance run out of watches. Using this app should
+inotify-info: hopefully aid you in tracking down how many inotify watches,
+inotify-info: instances, and what files are being watched.
+inotify-info:
+inotify-info: